{ pkgs, ... }:
{
  programs.git = {
    enable = true;
    settings = {
      user = {
        name = "imnyang";
        email = "imnyang@pm.me";
        signingkey = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOHP3Z+AYrRh9f8TYyqChKfeyNm3lOe0F75AwRHTTaxD";
      };
      gpg = {
        format = "ssh";
        "ssh".program = "${pkgs._1password-gui}/bin/op-ssh-sign";
      };
      commit.gpgsign = true;
      init.defaultBranch = "main";
      pull.rebase = false;
      includeIf."gitdir:~/workspaces/git/adofai.gg/" = {
        path = builtins.toFile "gitconfig-adofaigg" ''
          [user]
            email = imnyang@adofai.gg
        '';
      };
    };
  };
}
